summaryrefslogtreecommitdiff
path: root/codegen/vulkan/scripts/ci/check_undefined
diff options
context:
space:
mode:
authorJason Macnak <natsu@google.com>2023-05-19 14:54:16 -0700
committerJason Macnak <natsu@google.com>2023-05-22 12:03:45 -0700
commitea00ab3f8f6e353fa252dc65cce0ae505d731651 (patch)
tree97952257a570478249f2b04f346ac862949a4d38 /codegen/vulkan/scripts/ci/check_undefined
parentf5d796021d5b76625d706cc9a3580a4aa9f75bb2 (diff)
downloadgfxstream-protocols-ea00ab3f8f6e353fa252dc65cce0ae505d731651.tar.gz
Prepare for move to hardware/google/gfxstream
Move codegen into what will become hardware/google/gfxstream/codegen/vulkan and move generated vulkan headers into what will become hardware/google/gfxstream/common/vulkan. Bug: 271464937 Test: presubmit Test: python android/build/python/cmake.py --gfxstream Change-Id: Ie0465ac72b4a2f7444b595cd1421e2e3cb1d0997
Diffstat (limited to 'codegen/vulkan/scripts/ci/check_undefined')
-rwxr-xr-xcodegen/vulkan/scripts/ci/check_undefined22
1 files changed, 22 insertions, 0 deletions
diff --git a/codegen/vulkan/scripts/ci/check_undefined b/codegen/vulkan/scripts/ci/check_undefined
new file mode 100755
index 00000000..b747b1db
--- /dev/null
+++ b/codegen/vulkan/scripts/ci/check_undefined
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# Copyright 2020-2021 The Khronos Group, Inc.
+# SPDX-License-Identifier: Apache-2.0
+
+# scripts/ci/check_undefined
+# Check for non-tagged 'undefined' in spec sources.
+# Skip appendices/VK* files, which are non-normative.
+# Ideally we would skip NOTES too, but that would require parsing.
+
+undefined=/tmp/undefined
+ls chapters/*txt chapters/*/*txt appendices/[A-UW-Za-z]*txt | \
+ xargs egrep -E '(^|[[:space:]])undefined($|[^:])' > $undefined
+if test `cat $undefined | wc -l` -gt 0 ; then
+ echo "*** Found un-tagged uses of 'undefined'"
+ cat $undefined
+ rm $undefined
+ exit 1
+else
+ rm $undefined
+ exit 0
+fi